<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>MatSNESMFCheckPositivity</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="MatSNESMFCheckPositivity"><H1>MatSNESMFCheckPositivity</H1></A>
Checks that all entries in U + h*a are positive or zero, decreases h until this is satisfied. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscsnes.h"   
PetscErrorCode PETSCSNES_DLLEXPORT MatSNESMFCheckPositivity(Vec U,Vec a,PetscScalar *h,void *dummy)
</PRE>
Collective on <A HREF="../Vec/Vec.html#Vec">Vec</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>U </B></TD><TD>- base vector that is added to
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>a </B></TD><TD>- vector that is added
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>h </B></TD><TD>- scaling factor on a
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>dummy </B></TD><TD>- context variable (unused)
</TD></TR></TABLE>
<P>
<H3><FONT COLOR="#CC3333">Options Database Keys</FONT></H3>
<DT><B>-snes_mf_check_positivity</B> -

<br>
<P>
Notes: This is rarely used directly, rather it is passed as an argument to
<A HREF="../SNESMF/MatSNESMFSetCheckh.html#MatSNESMFSetCheckh">MatSNESMFSetCheckh</A>()
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
  <A HREF="../SNESMF/MatSNESMFSetCheckh.html#MatSNESMFSetCheckh">MatSNESMFSetCheckh</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/snes/mf/snesmfj.c.html#MatSNESMFCheckPositivity">src/snes/mf/snesmfj.c</A>
<BR><A HREF="./index.html">Index of all SNESMF routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
